<form [formGroup]="$any(registerForm)" (ngSubmit)="registerForm.valid && register()" autocomplete="off">
  <h2 class="text-center text-primary">Sign Up</h2>
  <hr>

  <div class="form-group">
    <label class="control-label" style="margin-right: 10px;">I am a:</label>
    <label class="radio-inline">
      <input type="radio" value="male" formControlName="gender"> Male
    </label>
    <label class="radio-inline">
      <input type="radio" value="female" formControlName="gender" class="ml-3"> Female
    </label>
  </div>

  <app-text-input [formControl]='$any(registerForm.controls)["username"]' [label]='"Username"'></app-text-input>
  <app-text-input [formControl]='$any(registerForm.controls)["knownAs"]' [label]='"Known as"'></app-text-input>

  <app-date-input [formControl]='$any(registerForm.controls)["dateOfBirth"]' [maxDate]="maxDate" [label]='"Date of birth"'></app-date-input>

  <app-text-input [formControl]='$any(registerForm.controls)["city"]' [label]='"City"'></app-text-input>
  <app-text-input [formControl]='$any(registerForm.controls)["country"]' [label]='"Country"'></app-text-input>

  <app-text-input [formControl]='$any(registerForm.controls)["password"]' [label]='"Password"' [type]='"password"'></app-text-input>
  <app-text-input [formControl]='$any(registerForm.controls)["confirmPassword"]'
                  [label]="'Confirm Password'" [type]="'password'"></app-text-input>
  <div class="row" *ngIf="validationErrors.length > 0">
    <ul class="text-danger">
      <li *ngFor="let error of validationErrors">
        {{error}}
      </li>
    </ul>
  </div>
  <div class="form-group text-center">
    <button [disabled]="!registerForm.valid" class="btn btn-success mr-2" type="submit">Register</button>
    <button class="btn btn-danger mr-2" type="button" (click)="cancel()">Cancel</button>
  </div>
</form>

<!--<p>Form value: {{registerForm.value | json}}</p>-->
<!--<p>Form status: {{registerForm.status | json}}</p>-->
